#
# spec file for package fortune
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Url:            ftp://sunsite.unc.edu/pub/Linux/games/amusements/fortune/

Name:           fortune
Version:        1.99.1
Release:        10.17
Summary:        Random Saying
License:        BSD-3-Clause
Group:          Amusements/Toys/Other
# let's treat debian as upstream, they take a lot of care
Source:         http://ftp.de.debian.org/debian/pool/main/f/fortune-mod/fortune-mod_%{version}.orig.tar.gz
Patch0:         http://ftp.de.debian.org/debian/pool/main/f/fortune-mod/fortune-mod_1.99.1-4.diff.gz
# suse specifics
Patch1:         move-debian-suse.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  recode-devel

%description
Fortune displays a random text string from a set of files in a certain
format.

This occurs each time you start a login shell. To get this feature just
uncomment the respective lines in the user's .profile.

%prep
%setup  -n %name-mod-%version
%patch0 -p1
%patch1 -p1

%build
make all %{?_smp_mflags} CC="%__cc"

%install
make prefix="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc README Notes
%{_mandir}/man1/*
%{_mandir}/man6/*
%{_bindir}/*
/usr/share/fortune

%changelog
* Tue Feb  7 2012 coolo@suse.com
- let's treat debian as upstream, they actually cared for the
  actual fortunes - our last change is 10 years old
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Wed Jun 30 2010 meissner@suse.de
- fixed use-after-free issue bnc#618641
* Mon Aug 10 2009 puzel@novell.com
- fortune-fix-missing-closedir.patch (bnc#525038)
* Mon May 22 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May  7 2004 hmacht@suse.de
- building as non-root user
- added patch to correct filepermissions
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Jul 15 2002 nadvornik@suse.cz
- removed one more Hitler quote [bug #12028]
* Tue Nov 13 2001 nadvornik@suse.cz
- removed Hitler quotes completely [bug #12028]
* Wed May 16 2001 nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Wed Jan 31 2001 uli@suse.de
- moved Hitler quotes to offensive
* Sat Dec  9 2000 nashif@suse.de
- sorted
* Wed Mar 22 2000 nadvornik@suse.cz
- added BuildRoot
* Sat Feb 12 2000 grimmer@suse.de
- moved man pages to /usr/share/man
- added Group tag to spec file
* Thu Oct 28 1999 grimmer@suse.de
- added linuxcookies
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 grimmer@suse.de
- reformatted osfortune and corrected some typos
* Mon Jun 14 1999 grimmer@suse.de
- now create osfortune.dat using strfile as well
* Thu Feb 25 1999 grimmer@suse.de
- added osfortune (quotes from the book "Open Sources")
- specfile tuning
- removed Makefile.Linux
* Fri Dec  4 1998 grimmer@suse.de
- Added strfile and unstr to package
- Installed Docu
- Minor changes to specfile
* Fri Oct  2 1998 ro@suse.de
- no rx.h for glibc
